"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.error = error;
exports.success = success;
exports.info = info;

var _chalk = _interopRequireDefault(require("chalk"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let preconstructEmoji = "🎁 ";

function suffix(pkg) {
  return pkg !== undefined ? ` ${pkg.name}` : "";
}

function error(error, pkg) {
  console.error(preconstructEmoji + _chalk.default.red("error") + suffix(pkg), error);
}

function success(message, pkg) {
  console.log(preconstructEmoji + _chalk.default.green("success") + suffix(pkg), message);
}

function info(message, pkg) {
  console.log(preconstructEmoji + _chalk.default.cyan("info") + suffix(pkg), message);
}