"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createWorker = createWorker;
exports.destroyWorker = destroyWorker;
exports.getWorker = getWorker;

var _jestWorker = _interopRequireDefault(require("jest-worker"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let shouldUseWorker = process.env.DISABLE_PRECONSTRUCT_WORKER !== "true";
let worker;

function createWorker() {
  if (shouldUseWorker) {
    worker = new _jestWorker.default(require.resolve("./worker"));
  } else {
    worker = require("./worker");
  }
}

function destroyWorker() {
  if (worker !== undefined && shouldUseWorker) {
    worker.end();
    worker = undefined;
  }
}

function getWorker() {
  if (worker === undefined) {
    throw new Error("worker not defined");
  }

  return worker;
}